// comp 1672
// Node.cpp, for lab 8
#include <iostream>
#include "Node.h"

// default constructor
Node :: Node() :
	myData(0),
	myNextNodePtr(NULL)
{
}

// copy constructor
Node :: Node(const Node &orig) :
	myData(orig.myData),
	myNextNodePtr(NULL)
{
}

// assignment operator
const Node & Node::operator=(const Node &rhs)
{
    if (&rhs != this) {
        myData = rhs.myData;
        // Doesn't make sense to copy the pointer.
        myNextNodePtr = 0;
    }
}


// destructor - no dynamically allocated memory to delete
Node :: ~Node()
{
}

// accessor function for data
int Node :: data() const
{
	return myData;
}

// set function for data
void Node :: data(int newData)
{
	myData = newData;
}

// accessor function for next pointer
Node* Node :: next() const
{
	return myNextNodePtr;
}

// set function for next pointer
void Node :: next(Node *nextNode)
{
	myNextNodePtr = nextNode;
}

